Subject: [bug#53964] [PATCH 0/4] Build nhc98 and ghc@4 with regular dependencies

From: Ricardo Wurmus <[email-masked]>
Date: Sat, 12 Feb 2022 23:14:38 +0100

Hi Ludo,

> This series tweaks the recently-added nhc98 and ghc@4 so they
> only depend on “regular” packages rather than intermediate
> packages from commencement.scm.

Wow, excellent!

The patches look good to me.  I built ghc@4, fired up STGHugs, and
successfully loaded a module.

--8<---------------cut here---------------start------------->8---
cd $(guix build ghc@4)/lib/
export STGHUGSDIR=$PWD
$ ./hugs
__   __ __  __  ____   ___      _________________________________________
||   || ||  || ||  || ||__      STGHugs: Based on the Haskell 98 standard
||___|| ||__|| ||__||  __||     Copyright (c) 1994-2000
||---||         ___||           World Wide Web: http://haskell.org/hugs
||   ||                         Report bugs to: [email-masked]
||   || Version: STGHugs-000425 _________________________________________

Haskell 98 mode: Restart with command line option -98 to enable extensions
Standalone mode: Restart with command line +c for combined mode

Reading source file "./Prelude.hs"
Reading source file "./PrelPrim.hs"
Hugs session for:
  PrelPrim
  Prelude
Type :? for help
Prelude> :load System
Reading source file "./System.lhs"
Hugs session for:
  PrelPrim
  Prelude
  System
System> 
--8<---------------cut here---------------end--------------->8---

Looks very good to me, thank you!

-- 
Ricardo